Bug 435060 - QEMU driver rejects input device bus type of 'xen' with xenner based guests
QEMU driver rejects input device bus type of 'xen' with xenner based guests
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LibvirtXenner
  Show dependency treegraph
 
Reported: 2008-02-26 23:04 EST by Daniel Berrange
Modified: 2008-11-04 06:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 06:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support xen input bus for xenner (8.36 KB, patch)
2008-05-10 13:26 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2008-02-26 23:04:08 EST
Description of problem:
The QEMU driver validates <input> device configuration and rejects invalid
device types and bus types. 

With introduction of 'xenner', it is valid to use a bus type of 'xen' to
indicate use of the paravirt framebuffer input device. libvirt QEMU driver
rejects attempts to create a VM with this config setting.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
libvirtError: virDomainCreateLinux() failed unsupported input bus xen


Expected results:
virt-install --location
http://download.fedora.redhat.com/pub/fedora/linux/releases/8/Fedora/x86_64/os/
--paravirt --file /root/demo.img --file-size 5 --vnc --ram 500 --connect
qemu:///system --debug --name wibble


Additional info:
Comment 1 Daniel Berrange 2008-05-10 13:26:20 EDT
Created attachment 305035 [details]
Support xen input bus for xenner
Comment 2 Bug Zapper 2008-05-14 01:39:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Berrange 2008-11-04 06:11:49 EST
Fixed in libvirt 0.4.5

Note You need to log in before you can comment on or make changes to this bug.